import { JavaObject } from '../../../java/lang/JavaObject';
export declare class LehrerKatalogLeitungsfunktionEintrag extends JavaObject {
    id: number;
    text: String;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): LehrerKatalogLeitungsfunktionEintrag;
    static transpilerToJSON(obj: LehrerKatalogLeitungsfunktionEintrag): string;
    static transpilerToJSONPatch(obj: Partial<LehrerKatalogLeitungsfunktionEintrag>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_lehrer_LehrerKatalogLeitungsfunktionEintrag(obj: unknown): LehrerKatalogLeitungsfunktionEintrag;
